diff mbox series

[17/24] xfs: refactor _xfs_check calls to the scratch device

Message ID 160013428386.2923511.798805055641192515.stgit@magnolia (mailing list archive)
State Accepted
Headers show
Series fstests: tons of random fixes | expand

Commit Message

Darrick J. Wong Sept. 15, 2020, 1:44 a.m. UTC
From: Darrick J. Wong <darrick.wong@oracle.com>

Use _scratch_xfs_check, not _xfs_check $SCRATCH_DEV.

Signed-off-by: Darrick J. Wong <darrick.wong@oracle.com>
---
 tests/xfs/291 |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comments

Christoph Hellwig Sept. 17, 2020, 7:58 a.m. UTC | #1
On Mon, Sep 14, 2020 at 06:44:43PM -0700, Darrick J. Wong wrote:
> From: Darrick J. Wong <darrick.wong@oracle.com>
> 
> Use _scratch_xfs_check, not _xfs_check $SCRATCH_DEV.

This looks ok:

Reviewed-by: Christoph Hellwig <hch@lst.de>

But shouldn't we finally kill off all xfs_check alls instead? :)
Darrick J. Wong Sept. 17, 2020, 4:03 p.m. UTC | #2
On Thu, Sep 17, 2020 at 08:58:56AM +0100, Christoph Hellwig wrote:
> On Mon, Sep 14, 2020 at 06:44:43PM -0700, Darrick J. Wong wrote:
> > From: Darrick J. Wong <darrick.wong@oracle.com>
> > 
> > Use _scratch_xfs_check, not _xfs_check $SCRATCH_DEV.
> 
> This looks ok:
> 
> Reviewed-by: Christoph Hellwig <hch@lst.de>
> 
> But shouldn't we finally kill off all xfs_check alls instead? :)

I will some day, but I keep finding more bugs and missed stuff in
xfs_repair. :(

--D
diff mbox series

Patch

diff --git a/tests/xfs/291 b/tests/xfs/291
index 8a4b1354..adef2536 100755
--- a/tests/xfs/291
+++ b/tests/xfs/291
@@ -102,7 +102,7 @@  done
 _scratch_unmount
 # Can xfs_repair and xfs_check cope with this monster?
 _scratch_xfs_repair >> $seqres.full 2>&1 || _fail "xfs_repair failed"
-_xfs_check $SCRATCH_DEV >> $seqres.full 2>&1 || _fail "xfs_check failed"
+_scratch_xfs_check >> $seqres.full 2>&1 || _fail "xfs_check failed"
 
 # Yes they can!  Now...
 # Can xfs_metadump cope with this monster?